<?php
define('IN_SYS',TRUE);
header("Content-Type: text/html;charset=utf-8");
require '../../config.php';
require '../../setup.php';
require '../../lib/system_SqlIn.php';

	if(instr($ReturnUrl,'/')==0){
		OutErrorBack("请不要尝试非网页正常提交形式提交数据!");
	}
	$j_a = addslashes($_POST["j_a"]);
	$j_b = addslashes($_POST["j_b"]);
	$j_c = addslashes($_POST["j_c"]);
	$j_d = addslashes($_POST["j_d"]);
	$j_e = addslashes($_POST["j_e"]);
	$j_f = addslashes($_POST["j_f"]);
	$j_g = addslashes($_POST["j_g"]);

	$j_h = addslashes($_POST["j_h"]);
	$j_i = addslashes($_POST["j_i"]);
	$j_j = addslashes($_POST["j_j"]);
	$j_k = addslashes($_POST["j_k"]);
	$j_l = addslashes($_POST["j_l"]);
	$j_m = addslashes($_POST["j_m"]);
	$j_n = addslashes($_POST["j_n"]);

	$adate = now();
    $Name = $_REQUEST["Name"];


	if(addslashes($_POST["j_a"])=="")
	{
		OutErrorBack("姓名不能为空");
	}	
	if($j_c =="")
	{
		OutErrorBack("出生日期不能为空!");
	}
	if($j_e =="")
	{
		OutErrorBack("毕业学院不能为空!");
	}
	if($j_f =="")
	{
		OutErrorBack("最高学历不能为空!");
	}
	if($j_j =="")
	{
		OutErrorBack("毕业专业不能为空!");
	}
	if($j_h =="")
	{
		OutErrorBack("毕业时间不能为空!");
	}
	if($j_i =="")
	{
		OutErrorBack("联系电话不能为空!");
	}
	if($j_j =="")
	{
		OutErrorBack("通信地址不能为空!");
	}
	if($j_k =="")
	{
		OutErrorBack("电子邮箱不能为空!");
	}
	
	if($j_l =="")
	{
		OutErrorBack("专业特长不能为空!");
	}
	if($j_m =="")
	{
		OutErrorBack("教育经历不能为空!");
	}
	if($j_n =="")
	{
		OutErrorBack("工作经历不能为空!");
	} 

	$conn = new dbo();
	$sql = "INSERT INTO ".DB_TablePre."recruitment_resume (j_a,j_b,j_c,j_d,j_e,j_f,j_g,j_h,j_i,j_j,j_k,j_l,j_m,j_n,adate,j_o) VALUES ('$j_a','$j_b','$j_c','$j_d','$j_e','$j_f','$j_g','$j_h','$j_i','$j_j','$j_k','$j_l','$j_m','$j_n','$adate','$Name')";
	//echo $sql;
	//exit;
	$conn->query($sql);
	OutErrorGo("投递简历成功！请耐心等待我们的通知！","/");
?>